Package org.springframework.transaction.annotation

# Enum Class RollbackOn

java.lang.Object
java.lang.Enum<RollbackOn>
org.springframework.transaction.annotation.RollbackOn

All Implemented Interfaces:
  `Serializable`, `Comparable<RollbackOn>`, `Constable`

public enum RollbackOn extends Enum<RollbackOn>
An enum for global rollback-on behavior.

Note that the default behavior matches the traditional behavior in EJB CMT and JTA, with the latter having rollback rules similar to Spring. A global switch to trigger a rollback on any exception affects Spring's `Transactional` as well as `Transactional` but leaves the non-rule-based `TransactionAttribute` as-is.

Since:
  6.2
Author:
  Juergen Hoeller
See Also:
  - `EnableTransactionManagement.rollbackOn()`
  - `RuleBasedTransactionAttribute`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL_EXCEPTIONS`
The alternative mode: rollback on all exceptions, including any checked `Exception`.
`RUNTIME_EXCEPTIONS`
The default rollback-on behavior: rollback on `RuntimeExceptions` as well as `Errors`.

## Method Summary

Modifier and Type
Method
Description
`static RollbackOn`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RollbackOn[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RUNTIME_EXCEPTIONS

public static final RollbackOn RUNTIME_EXCEPTIONS
The default rollback-on behavior: rollback on `RuntimeExceptions` as well as `Errors`.

See Also:
  - `RollbackRuleAttribute.ROLLBACK_ON_RUNTIME_EXCEPTIONS`

### ALL_EXCEPTIONS

public static final RollbackOn ALL_EXCEPTIONS
The alternative mode: rollback on all exceptions, including any checked `Exception`.

See Also:
  - `RollbackRuleAttribute.ROLLBACK_ON_ALL_EXCEPTIONS`

## Method Details

### values

public static RollbackOn[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RollbackOn valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null